Get public beacon + form config
Unauthenticated. Returns the beacon appearance config and its linked form schema.
GET
/beacons/{beaconId}/public
Unauthenticated. Returns the beacon appearance config and its linked form schema.
Authentication
API Key (header: X-API-Key)
Path Parameters
beaconId
string
required
path
Responses
200
Beacon + form config
No response body
404
Not found or form missing
410
Beacon or form archived
curl -X GET 'https://api.rogeriq.com/api/v1/beacons/string/public' \ -H 'Authorization: Bearer YOUR_API_TOKEN'
const response = await fetch('https://api.rogeriq.com/api/v1/beacons/string/public', { method: 'GET', headers: { "Authorization": "Bearer YOUR_API_TOKEN" }});const data = await response.json();console.log(data);
import requestsheaders = { 'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.get('https://api.rogeriq.com/api/v1/beacons/string/public', headers=headers)print(response.json())
API Playground
Try this endpoint
GET
/beacons/{beaconId}/public